# Brand Registration Vetting Information

Returns the vetting information of a brand registration. Include optional query parameters to filter results by vetting partner ID, vetting class, or status.

Endpoint: GET /v1/projects/{projectId}/brandRegistrations/{brandRegistrationId}/vettingInfo
Version: 1.0
Security: BasicAuth, OAuth2

## Security:

  - `BasicAuth` (unknown)
    http basic

  - `OAuth2` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    Sinch uses projects to group resources such as contacts and apps together to manage and connect a unique set of keys and secret IDs for all your Sinch API products. To identify a project, it is given a unique alphanumeric identifier that ties it to your account. Your project ID can be found in the [Customer Dashboard](https://dashboard.sinch.com/settings/project-management).

  - `brandRegistrationId` (string, required)
    The Brand Registration ID is returned in the response when creating the brand

## Query parameters:

  - `vettingStatus` (string, required)

## Response 200:

  - `200` (unknown)
    A successful response.

## Response 200 fields (application/json):

  - `vettingInfo` (array)

  - `vettingInfo.vettingId` (string)

  - `vettingInfo.provider` (string)
    Enum: "AEGIS"

  - `vettingInfo.vettingStatus` (string)
    Enum: "PENDING", "UNSCORE", "ACTIVE", "FAILED", "EXPIRED"

  - `vettingInfo.vettingClass` (string)
    Enum: "STANDARD"

  - `vettingInfo.vettingToken` (string)

  - `vettingInfo.vettingScore` (integer)

  - `vettingInfo.reasons` (array)

  - `vettingInfo.vettingDetails` (object)

  - `vettingInfo.vettedDate` (string)

  - `vettingInfo.createDate` (string)

## Response 400:

  - `400` (unknown)
    INVALID_ARGUMENT: If the brandRegistrationId is not valid

## Response 400 fields (application/json):

  - `error` (object, required)

  - `error.code` (integer, required)
    The error code.
    Example: 400

  - `error.message` (string, required)
    The error message.
    Example: Invalid argument.

  - `error.status` (string)
    The status of the error.
    Example: INVALID_ARGUMENT

  - `error.details` (array)
    An array of objects describing the error in more detail, if applicable.

  - `error.details.type` (string)
    A more specific description of the error.
    Example: BadRequest

  - `error.details.resourceType` (string)
    The type of resource relevant to the error, if applicable.

  - `error.details.resourceName` (string)
    The name of the resource, if applicable.

  - `error.details.owner` (string)
    The owner of the resource, if applicable.

  - `error.details.description` (string)
    A description of the error, if applicable.

  - `error.details.fieldViolations` (array)
    An array of all the field violations which contributed to the error.

  - `error.details.fieldViolations.field` (string)
    The field which produced the error.
    Example: order_by

  - `error.details.fieldViolations.description` (string)
    The description of the error.
    Example: Invalid `order_by` number.

## Response 404:

  - `404` (unknown)
    Brand could not be found

## Response 404 fields (application/json):

  - `error` (object, required)

  - `error.code` (integer, required)
    The error code.
    Example: 400

  - `error.message` (string, required)
    The error message.
    Example: Invalid argument.

  - `error.status` (string)
    The status of the error.
    Example: INVALID_ARGUMENT

  - `error.details` (array)
    An array of objects describing the error in more detail, if applicable.

  - `error.details.type` (string)
    A more specific description of the error.
    Example: BadRequest

  - `error.details.resourceType` (string)
    The type of resource relevant to the error, if applicable.

  - `error.details.resourceName` (string)
    The name of the resource, if applicable.

  - `error.details.owner` (string)
    The owner of the resource, if applicable.

  - `error.details.description` (string)
    A description of the error, if applicable.

  - `error.details.fieldViolations` (array)
    An array of all the field violations which contributed to the error.

  - `error.details.fieldViolations.field` (string)
    The field which produced the error.
    Example: order_by

  - `error.details.fieldViolations.description` (string)
    The description of the error.
    Example: Invalid `order_by` number.

## Response 429:

  - `429` (unknown)
    Over limit

## Response 429 fields (application/json):

  - `error` (object, required)

  - `error.code` (integer, required)
    The error code.
    Example: 400

  - `error.message` (string, required)
    The error message.
    Example: Invalid argument.

  - `error.status` (string)
    The status of the error.
    Example: INVALID_ARGUMENT

  - `error.details` (array)
    An array of objects describing the error in more detail, if applicable.

  - `error.details.type` (string)
    A more specific description of the error.
    Example: BadRequest

  - `error.details.resourceType` (string)
    The type of resource relevant to the error, if applicable.

  - `error.details.resourceName` (string)
    The name of the resource, if applicable.

  - `error.details.owner` (string)
    The owner of the resource, if applicable.

  - `error.details.description` (string)
    A description of the error, if applicable.

  - `error.details.fieldViolations` (array)
    An array of all the field violations which contributed to the error.

  - `error.details.fieldViolations.field` (string)
    The field which produced the error.
    Example: order_by

  - `error.details.fieldViolations.description` (string)
    The description of the error.
    Example: Invalid `order_by` number.

## Response 500:

  - `500` (unknown)
    INTERNAL: Internal server error. Typically, a server bug.

## Response 500 fields (application/json):

  - `error` (object, required)

  - `error.code` (integer, required)
    The error code.
    Example: 400

  - `error.message` (string, required)
    The error message.
    Example: Invalid argument.

  - `error.status` (string)
    The status of the error.
    Example: INVALID_ARGUMENT

  - `error.details` (array)
    An array of objects describing the error in more detail, if applicable.

  - `error.details.type` (string)
    A more specific description of the error.
    Example: BadRequest

  - `error.details.resourceType` (string)
    The type of resource relevant to the error, if applicable.

  - `error.details.resourceName` (string)
    The name of the resource, if applicable.

  - `error.details.owner` (string)
    The owner of the resource, if applicable.

  - `error.details.description` (string)
    A description of the error, if applicable.

  - `error.details.fieldViolations` (array)
    An array of all the field violations which contributed to the error.

  - `error.details.fieldViolations.field` (string)
    The field which produced the error.
    Example: order_by

  - `error.details.fieldViolations.description` (string)
    The description of the error.
    Example: Invalid `order_by` number.

